com.smartgwt.client.types

## Enum HashAlgorithm

- java.lang.Object
- - java.lang.Enum<HashAlgorithm>
  - - com.smartgwt.client.types.HashAlgorithm

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<HashAlgorithm>

      public enum HashAlgorithm
      extends java.lang.Enum<HashAlgorithm>
      implements ValueEnum

  Algorithms to use when hashing field values (see `DataSourceField.storeWithHash`)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MD5` Message Digest algorithm 5
    `SHA` Secure Hashing Algorithm (SHA-1)

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static HashAlgorithm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HashAlgorithm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MD5

          public static final HashAlgorithm MD5

      Message Digest algorithm 5

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "MD5".

    - #### SHA

          public static final HashAlgorithm SHA

      Secure Hashing Algorithm (SHA-1)

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "SHA".

  - ### Method Detail

    - #### values

          public static HashAlgorithm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HashAlgorithm c : HashAlgorithm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HashAlgorithm valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`